/********************************************************
 * sphere -- compute volume of a sphere given it's 	*
 *		radius					*
 *							*
 * Programming problem: 5-2				*
 *							*
 * Usage:						*
 *	run the program.  				*
 *	type in a radius				*
 *	volume is displayed				*
 ********************************************************/
#include <iostream.h>

float radius;	// Radius of the sphere (any units)
float volume;	// Volume of the sphere (same units cubed)

// Approximate value of the constant pi
const float pi = 3.14159265358979323846;

main()
{
    cout << "Enter radius of the sphere: ";
    cin >> radius;

    // We don't have a cubed function in C++ so we do it
    // the hard way
    volume = 4.0 / 3.0 * pi * radius * radius * radius;

    cout << "The volume of a sphere of radius " << radius << 
	    " is " << volume << '\n';
    return (0);
}
