/********************************************************
 * three -- separate a file of numbers into those 	*
 *	you can divide by three and those you can't	*
 *							*
 * Programming Problem: 16-3				*
 *							*
 * Usage:						*
 * 	three <input> <three-out> <not-three-out>	*
 ********************************************************/
#include <iostream.h>
#include <fstream.h>

const int TAB_STOP = 8;	// Tab size

main(int argc, char *argv[])
{
    if (argc != 4) {
	cerr << "Usage is three <input> <three-out> <not-three-out>\n";
	exit (8);
    }

    // File we are reading
    ifstream in_file(argv[1]);	 

    if (in_file.bad()) {
	cerr << "Error: Can not open " << argv[1] << " for input\n";
	exit (8);
    }
	 
    // File we are writing
    ofstream three_out(argv[2]);	 

    if (three_out.bad()) {
	cerr << "Error: Can not open " << argv[2] << " for output\n";
	exit (8);
    }

    // File we are writing
    ofstream not_three_out(argv[3]);	 

    if (not_three_out.bad()) {
	cerr << "Error: Can not open " << argv[3] << " for output\n";
	exit (8);
    }

    int cur_int;	// Current integer

    while (!in_file.eof()) {

	in_file >> cur_int;
	if (in_file.eof())
	    break;

	if ((cur_int % 3) == 0)
	    three_out << cur_int << '\n';
	else
	    not_three_out << cur_int << '\n';
    }
    return (0);
}
		    


	 
