/********************************************************
 * count -- count the number of bits in a number	*
 *							*
 * Programming Problem: 11-4				*
 *							*
 * Usage:						*
 *	Run the program					*
 *	Type in a number				*
 *	Get the binary of the number out		*
 *	Get the number of bits out.			*
 ********************************************************/
#include <iostream.h>

const int BIT_MAX = 32;	// Biggest bit in a "long int"
			// 99% of the systems use 32 bit long integers
			// This won't work on the other 1%

main()
{
    unsigned long int i;	// General purpose index
    int count = 0;		// Count of the bits
    long int number; 		// Number from the user

    cout << "Enter number: ";
    cin >> number;

    cout << number << " as binary ";
    for (i = (1 << (BIT_MAX-1)); i > 0; i >>= 1) {
	if ((number & i) != 0) {
	    cout << '1';
	    ++count;
	} else
	    cout << '0';
    }
    cout << '\n';
    cout << "Bits set: " << count << '\n';
    return (0);
}




