/********************************************************
 * names -- structure design for a mailing list		*
 *							*
 * Programming problem: 12-1.				*
 *							*
 * Note: Our mailing label design works for USA style	*
 *	addresses.					*
 ********************************************************/

/*
 * A mailing label that will be printed on a 5x40 label.
 */
struct label {
    char name[41];	// Name on the label 
			// (up to 40 characters and 1 end of string)
    char address1[41];	// Address line 1
    char address2[41];	// Address line 2
			/*
			 * Last line
			 *	30 	City
			 *	2	Comma and space
			 *	2	State
			 *	1	Space
			 *	5	Zip code
			 *	40	Total
			 */
    char city[31];	// 30 character city name
    char state[3];	// 2 character state code
    char zip[6];	// 5 character zip code
};



