/********************************************************
 * check -- checkbook class and test routine		*
 *							*
 * Programming Problem: 13-2.				*
 ********************************************************/
#include <iostream.h>
/********************************************************
 * Checkbook class.   Keeps a running total of what's	*
 *	in your checkbook.				*
 *							*
 * Note: We store money as long integer pennies		*
 *							*
 * Member functions:					*
 *	add_item -- Put another item on the books	*
 *	total	-- Return the total of the items put in	*
 ********************************************************/
class checkbook {
    private:
	long int balance;	// Current balance (in pennies)
    
    public:
	checkbook(void) {
	    balance = 0;
	}
	// Destructor defaults
	// Copy constructor defaults
	// Assignment operator defaults

	// Add an item to the checkbook
	void add_item(long int amount) {
	    balance += amount;
	}

	// Return the running total
	long int total(void) {
	    return (balance);
	}
};

main()
{
    checkbook my_checkbook;	// Checkbook to test

    while (1) {
	long int cur_check;	// Check we just wrote (<0)
				// or deposit we just made (>0)

	cout << "Enter amount (in pennies) : ";
	cin >> cur_check;

	my_checkbook.add_item(cur_check);
	cout << "Current total: " << my_checkbook.total() << '\n';

	char answer;	// More? answer

	cout << "More [y/n] ";
	cin >> answer;

	if ((answer == 'n') || (answer == 'N'))
	    break;
    }
    return (0);
}
