/********************************************************
 * search_open -- Open a file, given a list of possible	*
 *		names.					*
 ********************************************************/
#ifndef _SEARCH_H_
#define _SEARCH_H_

/********************************************************
 * search_open -- looks through a list of files to	*
 *		find one that works, then open it.	*
 *							*
 * Returns						*
 *	True -- file opened				*
 *	False -- no file found				*
 ********************************************************/
extern int search_open(
    ifstream &in_file,		// File to be opened
    const char *const list[]	// List of names to open
);
#endif /* _SEARCH_H_ */
