/********************************************************
 * min -- template to return the minimum of two items	*
 *							*
 * Programming problem: 24-1				*
 ********************************************************/
#ifndef _MIN_H_		/* Prevent double includes */
#define _MIN_H_

template<class kind>
inline kind min(kind n1, kind n2) {
    if (n1 < n2) 
        return (n1);
    return (n2);
}

// Comparing strings is a special case
inline char *min(char *s1, char *s2) {
    if (strcmp(s1, s2) < 0)
        return (s1);
    return (s2);
}
#endif /* _MIN_H_ */
