/********************************************************
 * double -- check a file for doubled words		*
 *							*
 * Programming Problem: 26-1				*
 *							*
 * Usage:						*
 *	double <in_file>				*
 ********************************************************/
#include <iostream.h>
#include <fstream.h>
#include <stdlib.h>
#include <string.h>

#include "words.h"

main(int argc, char *argv[])
{
   char word[LINE_MAX];		// Word we are looking at
   char last_word[LINE_MAX];	// Previous word
   char spaces[LINE_MAX];	// Non-word data

    if (argc != 2) {
	cerr << "Usage is: double <file>\n";
        exit (8);
    }

    ifstream in_file(argv[1]);	// File we are reading

    if (in_file.bad()) {
        cerr << "Error: Unable to open " << argv[1] << '\n';
	exit (8);
    }

    last_word[0] = '\0';

    words in_word(in_file);	// Word getting class

    // Loop once for each line
    while (1) {
        if (!in_word.next_line()) 
	    break;
	in_word.out_line(cout);

	// Loop for each word
	while (1) {
	    in_word.get_word(spaces, word);
	    if (word[0] == '\0')
	        break;
	    if (strcmp(word, last_word) == 0) {
	        cout << "------- Double word: " << word << '\n';
	    }
	    strcpy(last_word, word);
	}
    }
    return (0);
}

